Paycose Docs
Payment Intent
POST/payment_intents/{payment_intent_id}/capture

Capture Payment Intent

Capture a manual-capture PaymentIntent (status requires_capture -> succeeded). amount_to_capture is optional (defaults to full amount).

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/payment_intents/{{payment_intent_id}}/capture' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -d '{
  "amount": 0,
  "application_fee_amount": 0,
  "transfer_data": {
    "amount": 0
  }
}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Body

NameTypeValue
amountnumber0
application_fee_amountnumber0
transfer_dataobject{…}
{
  "amount": 0,
  "application_fee_amount": 0,
  "transfer_data": {
    "amount": 0
  }
}

Responses

500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page